/*
call to action

*/

.home-cta {
    padding-top: 30px;
    padding-bottom: 20px;
    background: var(--bg-main);
    height: calc(var(--vhmin) * 100 - var(--header-height) - 50px);
}

.home-cta .cta-image{
    object-fit: contain;
    min-width: 100px;
    min-height: 100px;
}

.home-cta .font-heading--big{
    margin: 0;
    padding-top: 20px;
    padding-bottom: 15px;
}

.home-cta .font-heading--big span + span {
    align-self: flex-end;
    margin-top: 4px;
}

.home-cta .btn {
    margin-bottom: 17px;
    align-self: flex-end;
}

@media all and (orientation: portrait) {
    .home-cta {
        text-align: center;
        padding-bottom: 70px;
        height: calc(var(--vhmin) * 100 - var(--header-height) - 100px);
    }

    .home-cta .font-heading--big{
        padding-top: 40px;
    }

    .home-cta .font-heading--big span:first-of-type {
        margin-bottom: 10px;
    }

    .home-cta .font-heading--big span + span {
        align-self: center;
        margin-top: 10px;
    }

    .home-cta .cta-content {
        margin-top: 40px;
        min-width: 285px;
    }

    .home-cta .cta-image{
        max-width: min(90%, 400px)!important;
    }

    .home-cta .btn {
        display: none;
    }
}

@media all and (orientation: landscape) {
    .home-cta {
        height: calc(100vh - var(--header-height) - 50px);
    }

    .home-cta .cta-content {
        min-width: 285px;
        justify-content: center;
        margin-right: 20px;
    }

    .home-cta > .mr-cont {
        justify-content: space-evenly;
    }

    .home-cta .font-heading--big{
        border-bottom: 3px solid var(--btn-background);
    }
}

@media all and (min-width: 992px) {
    .home-cta {
        padding-top: 30px;
        padding-bottom: 50px;
        height: calc(100vh - var(--header-height) - 80px);
    }
    
    .home-cta > .mr-cont {
        justify-content: space-between;
        align-items: flex-end;
    }

    .home-cta .cta-content {
        min-width: 377px;
    }

    .home-cta .cta-image{
        padding: 0 30px;
        max-width: 100%;
        max-height: 100%;
    }

    .home-cta .font-heading--big{
        padding-top: 40px;
        padding-bottom: 25px;
    }

}

@media all and (orientation: portrait) and (max-width: 1299px) {
    .home-cta > .mr-cont {
        flex-direction: column-reverse;
        align-items: center;
        justify-content: flex-end;
    }
}

@media all and (min-width: 1300px) {
    .home-cta {
        padding-top: 64px;
        padding-bottom: 100px;
        height: calc(100vh - var(--header-height) - 164px);
    }

    .home-cta .cta-content {
        min-width: 471px;
    }

    .home-cta .cta-image{
        padding: 0 70px;
        max-width: 100%;
        object-position: bottom;
    }

    .home-cta .font-heading--big{
        padding-top: 90px;
        padding-bottom: 55px;
    }
}

@media all and (min-width: 1921px) {
    .home-cta {
        height: unset;
    }
}

/*
offer

*/

.home-jak-mozemy-ci-pomoc{
    padding-top: 45px;
    padding-bottom: 35px;
    overflow: hidden;
}

.home-jak-mozemy-ci-pomoc > .mr-cont{
    position: relative;
    z-index: 1;
}

@media all and (min-width: 992px) {
    .home-jak-mozemy-ci-pomoc {
        padding-top: 65px;
        padding-bottom: 50px;
        position: relative;
    }

    .home-jak-mozemy-ci-pomoc::before,
    .home-jak-mozemy-ci-pomoc::after {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
    }

    .home-jak-mozemy-ci-pomoc::before {
        content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='4000' height='150.6' viewBox='0 0 4000 151'%3E%3Cdefs/%3E%3Cpath data-name='Subtraction 1' d='M2959 100c-58-29-66-35-135-52s-111-14-140-16c-28-1-286 5-331 8-86 7-461 43-539 49a3935 3935 0 01-215 10l-95-4c-91-4-193-45-261-59-48-9-76-14-227-10S752 46 566 46C398 43 501 30 0 0h4000c-557 42-521 100-695 139-141 32-287-9-346-39z' fill='%23fff'/%3E%3C/svg%3E");
        top: -2px;
    }
    
    .home-jak-mozemy-ci-pomoc::after {
        content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='4782' height='196'%3E%3Cdefs%3E%3CclipPath id='a'%3E%3Cpath d='M0 0h4782v196H0z'/%3E%3C/clipPath%3E%3C/defs%3E%3Cg clip-path='url(%23a)'%3E%3Cpath d='M4692 196H179c885-27 844-248 1252-168 346 69 1033-61 1279 8 257 73 507 133 641 19 195-167 425 99 1341 141z' fill='%23fff'/%3E%3C/g%3E%3C/svg%3E");
        bottom: -3px;
        /* padding-bottom: 70px; */
        /* box-shadow: inset 0 -72px 0 0 var(--bg-main); */
    }
}

.home-jak-mozemy-ci-pomoc .page-section_title {
    margin: 0;
    text-align: center;
}

.home-jak-mozemy-ci-pomoc .items-oferta {
    margin-top: 45px;
    display: grid;
    gap: 40px;
}

.home-jak-mozemy-ci-pomoc .items-punktoferty {
    display: none;
}

@media all and (orientation: landscape) {
    .home-jak-mozemy-ci-pomoc .items-oferta {
        gap: 40px 20px;
        grid-template-columns: repeat(2, minmax(1px, 1fr));
    }

    .home-jak-mozemy-ci-pomoc .item-oferta .item_title {
        text-align: center;
    }

    .home-jak-mozemy-ci-pomoc .item-oferta .item_excerpt {
        display: none;
    }
}

.home-jak-mozemy-ci-pomoc .page-section_more {
    display: block;
    text-align: center;
    position: relative;
    margin-right: auto;
    margin-top: 50px;
}

.home-jak-mozemy-ci-pomoc .page-section_more > span {
    border: 2px solid;
    border-radius: 100px;
    padding: 4px 25px;
    background: var(--bg-main);
    position: relative;
    z-index: 1;
    transition: opacity .3s ease, background .3s ease, color .3s ease, border-color .3s ease!important;
}

.home-jak-mozemy-ci-pomoc .page-section_more:hover > span {
    color: var(--bg-main);
    background: var(--color-link);
    border-color: var(--color-link);
}

.home-jak-mozemy-ci-pomoc .page-section_more > span::before,
.home-jak-mozemy-ci-pomoc .page-section_more::before,
.home-jak-mozemy-ci-pomoc .page-section_more::after {
    content: "";
    display: block;
    position: absolute;
    color: inherit;
}


@media all and (min-width: 992px) {

    .home-jak-mozemy-ci-pomoc {
        padding-bottom: 120px;
    }
  
    .home-jak-mozemy-ci-pomoc_wrapper {
        display: grid;
        justify-content: space-between;
        grid-template-columns: 305px 625px;
        column-gap: 20px;
        row-gap: 70px;
    }

    .home-jak-mozemy-ci-pomoc .page-section_more {
        margin-left: -10px;
        transform: translateY(22px);
        margin-top: 0;
        margin-bottom: -12px;
    }
    
    .home-jak-mozemy-ci-pomoc .page-section_more > span {
        display: block;
        padding: 4px 25px 4px 35px;
    }

    .home-jak-mozemy-ci-pomoc .page-section_more > span::before {
        top: 50%;
        left: 10px;
        border: 6px solid;
        border-radius: 20px;
        transform: translateY(-50%);
        z-index: 2;
        transition: border-color .3s ease;
    }
    
    .home-jak-mozemy-ci-pomoc .page-section_more:hover > span::before {
        border-color: var(--bg-main);
    }

    .home-jak-mozemy-ci-pomoc .page-section_more::before,
    .home-jak-mozemy-ci-pomoc .page-section_more::after {
        border-right: 2px solid;
        height: 200px;
        left: 16px;
        top: -18px;
    }

    .home-jak-mozemy-ci-pomoc .page-section_more::before {
        transition: transform .3s ease;
        transform-origin: top center;
        transform: scaleY(0);
    }

    .home-jak-mozemy-ci-pomoc .page-section_more.visible::before {
        transform: scaleY(1);
    }

    .home-jak-mozemy-ci-pomoc .page-section_more::after {
        opacity: 0.2;
    }

    .home-jak-mozemy-ci-pomoc .page-section_more:focus-visible > span {
        opacity: 1!important;
    }

    .home-jak-mozemy-ci-pomoc .page-section_title {
        text-align: left;
        grid-column-start: 1;
        margin-top: 100px;
    }

    .home-jak-mozemy-ci-pomoc .items-oferta {
        gap: 30px 15px;
        grid-template-columns: repeat(2, minmax(1px, 1fr));
        grid-row-end: span 2;
        margin-top: 0;
        align-self: center;
    }

    .home-jak-mozemy-ci-pomoc .item-oferta .item_thumb {
        height: 120px;
    }

    .home-jak-mozemy-ci-pomoc .item-oferta:nth-of-type(2n) {
        margin-top: 32px;
        margin-bottom: -32px;
    }

    .home-jak-mozemy-ci-pomoc .item-oferta:nth-of-type(2n + 1) {
        margin-top: -32px;
        margin-bottom: 32px;
    }

    .home-jak-mozemy-ci-pomoc .item-oferta .item_title{
        text-align: left;
    }

    .home-jak-mozemy-ci-pomoc .item-oferta .item_excerpt {
        display: initial;
    }

    .home-jak-mozemy-ci-pomoc .items-punktoferty {
        grid-column-start: 1;
        display: flex;
        /* padding-bottom: 40px; */
    }

    .home-jak-mozemy-ci-pomoc .item-oferta:not(:hover) .link-underline:not(:focus-visible){
        color: var(--color-accent--inactive)!important;
    }

    .home-jak-mozemy-ci-pomoc .item-oferta .link-underline::before{
        transform-origin: right;
        left: auto;
        right: 0;
    }
}

@media all and (min-width: 1300px) {
    
    .home-jak-mozemy-ci-pomoc_wrapper {
        grid-template-columns: 305px 740px;
        width: 1206px;
        margin-left: auto;
        padding-right: 35px;
    }

    .home-jak-mozemy-ci-pomoc .item-oferta .item_thumb {
        height: 135px;
    }
}

/*
about team

*/
.home-poznaj-nas {
    padding-right: var(--side-spacing);
    background: var(--bg-main);
}

.home-poznaj-nas > .mr-cont {
    display: grid;
}
.home-poznaj-nas .page-section_description,
.home-poznaj-nas .page-section_title {
    margin: 0;
}

.home-poznaj-nas .page-section_video {
    place-self: stretch;
    object-fit: cover;
    max-width: calc(100% + 2 * var(--side-spacing));
    height: 66vw;
    height: min(66vw, 400px);
    margin-left: var(--side-spacing--neg);
    margin-right: var(--side-spacing--neg);
}

.home-poznaj-nas .page-section_title {
    align-self: end;
    text-align: center;
    order: -1;
    margin: 25px 0;
}

.home-poznaj-nas .page-section_description {
    align-self: center;
    margin-top: 40px;
    text-align: center;
}

.home-poznaj-nas .page-section_more {
    place-self: center;
    margin: 30px 0 50px 0;
}

@media all and (orientation: landscape) {
    .home-poznaj-nas > .mr-cont {
        grid-template-columns: minmax(1px, 40%) 1fr;
        grid-template-rows: unset;
        grid-column-gap: 30px;
    }
    
    .home-poznaj-nas .page-section_video {
        grid-row-start: 2;
        grid-row-end: span 2;
        height: auto;
        max-width: calc(100% + var(--side-spacing));
        margin-right: 0;
    }

    .home-poznaj-nas .page-section_title {
        grid-column-end: span 2;
    }

    .home-poznaj-nas .page-section_description {
        text-align: left;
    }

    .home-poznaj-nas .page-section_more {
        justify-self: start;
    }
}

@media all and (min-width: 992px) {
    .home-poznaj-nas > .mr-cont {
        grid-template-columns: minmax(1px, 1006px) 1fr;
        grid-template-rows: 180px repeat(2, minmax(160px, 1fr));
        grid-column-gap: 40px;
    }

    .home-poznaj-nas .page-section_video {
        grid-row-start: 1;
        grid-row-end: span 3;
        max-width: 100%;
        margin-left: 0;
        height: 500px;
    }

    .home-poznaj-nas .page-section_description,
    .home-poznaj-nas .page-section_title {
        width: 340px;
        max-width: 100%;
        margin: 0;
        text-align: left;
        grid-column-end: unset;
    }

    .home-poznaj-nas .page-section_more {
        margin: 0;
        place-self: start;
    }
}

@media all and (min-width: 1300px) {
    .home-poznaj-nas > .mr-cont {
        grid-column-gap: 120px;
        grid-template-rows: 240px repeat(2, minmax(200px, 1fr));
    }

    .home-poznaj-nas .page-section_video {
        height: 644px;
    }

    .home-poznaj-nas .page-section_description,
    .home-poznaj-nas .page-section_title {
        width: 440px;
    }
}

@media all and (min-width: 1921px) {
    .home-poznaj-nas > .mr-cont {
        width: 1920px;
    }
}
/*
customers

*/
.home-wspolpraca {
    background: var(--bg-main);
}

.home-wspolpraca .section-header {
    margin: 0 auto;
    padding-top: 25px;
}

@media all and (orientation: landscape) {
    .home-wspolpraca .section-header {
        padding-top: 55px;
    }
}

.home-wspolpraca .page-section_title {
    margin-top: 0;
    margin-bottom: 0;
    text-align: center;
    padding-left: var(--side-spacing);
    padding-right: var(--side-spacing);
}

@media all and (min-width: 992px) {
    .home-wspolpraca .section-header {
        padding-top: 72px;
    }

    .home-wspolpraca .page-section_title {
        margin-left: clamp(var(--side-spacing), calc(100vw - var(--scrollbar-width) - 1262px), 120px);
        position: relative;
        text-align: unset;
    }

    .home-wspolpraca .page-section_title::before,
    .home-wspolpraca .page-section_title::after {
        content: "";
        display: block;
        position: absolute;
        top: 50%;
        left: 6px;
        transform: translateY(calc(-50% - 28px));
        width: 2px;
        height: 104px;
        transition: transform .3s ease;
        transform-origin: top;
        background: var(--color-link);
    }

    .home-wspolpraca .page-section_title::before {
        opacity: 0.2;
    }

    .home-wspolpraca .page-section_title::after {
        transform: translateY(calc(-50% - 28px)) scaleY(0);
    }

    .home-wspolpraca .page-section_title.visible::after {
        transform: translateY(calc(-50% - 28px)) scaleY(1);
    }

    .home-wspolpraca .page-section_title span {
        padding-left: 25px;
    }

    .home-wspolpraca .page-section_title span::before {
        content: "";
        display: block;
        width: 11px;
        height: 11px;
        border-radius: 20px;
        border: 2px solid var(--bg-main);
        background: var(--color-link);
        position: absolute;
        left: 0;
        top: 50%;
        transform: translateY(-50%);
        z-index: 1;
    }
}

/*
knowledge base

*/
.home-bazawiedzy {
    background: var(--bg-main);
}

.home-bazawiedzy .items-bazawiedzy {
    padding-bottom: 12px;
}

@media all and (max-width: 991px) {
    [data-scroll-effects-supported="true"] .home-bazawiedzy .item.item-bazawiedzy.has-scroll-effects.scroll-effect--fade {
        opacity: 1;
    }
}

.home-bazawiedzy .item-bazawiedzy .item_thumbnail {
    border-radius: 0 10px 0 0;
    overflow: hidden;
}

.home-bazawiedzy .item-bazawiedzy .item_thumbnail::before {
    padding-bottom: 61.9%;
}

.home-bazawiedzy .item-bazawiedzy .item_excerpt {
    display: none;
}

.home-bazawiedzy .item-bazawiedzy .item_tags {
    display: none;
}

.items-bazawiedzy-tags-wrapper {
    display: none;
}

.home-bazawiedzy .page-section_footer {
    height: 130px;
    margin-left: var(--side-spacing--neg);
    margin-right: var(--side-spacing--neg);
    position: relative;
}

@media all and (max-width: 991px) {
    .home-bazawiedzy .page-section_footer::before,
    .home-bazawiedzy .page-section_footer::after {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
    }

    .home-bazawiedzy .page-section_footer::before {
        top: -1px;
        content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='660' height='29.8' viewBox='0 0 660 30'%3E%3Cdefs/%3E%3Cpath data-name='Path 911' d='M0 0c39 6 47 2 150 11 127 12 228 38 360-4 12-3 38-5 150-7z' fill='%23fff'/%3E%3C/svg%3E");
    }

    .home-bazawiedzy .page-section_footer::after {
        bottom: -1px;
        content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='990' height='30'%3E%3Cdefs/%3E%3Cdefs%3E%3CclipPath id='a'%3E%3Cpath d='M0 0h990v30H0z'/%3E%3C/clipPath%3E%3C/defs%3E%3Cg clip-path='url(%23a)'%3E%3Cpath data-name='Path 2500' d='M808 30H149c81-8 124-37 149-29 84 27 208 9 386 4 39-1 32 16 124 25z' fill='%23fff'/%3E%3C/g%3E%3C/svg%3E");
    }
}

.home-bazawiedzy :is(
    .page-section_more,
    .home-bazawiedzy .page-section_more:hover
    ) {
    color: var(--color-ongradient)!important;
}

body:not(.using-mouse) .home-bazawiedzy .page-section_more {
    outline-color: var(--color-ongradient)!important;
}

.home-bazawiedzy .slick-arrow {
    padding: 0;
    margin: 0;
    width: 20px;
    height: 20px;
    position: absolute;
    top: calc(55% + -100px);
    border: none;
    background: transparent;
    cursor: pointer;
    z-index: 2;
    --custom-spacing: calc(min(240px, 40%) + 35px);
}
body .home-bazawiedzy .slick-arrow {
    color: transparent!important;
}

.home-bazawiedzy .slick-arrow::before {
    content: url("data:image/svg+xml,%3Csvg id='Icon' xmlns='http://www.w3.org/2000/svg' width='20' height='20' viewBox='0 0 20 20'%3E%3Cg transform='translate(1.29 2.499)'%3E%3Cpath d='M7.5,15l5-5-5-5' transform='translate(-1.29 -2.499)' fill='none' stroke='%23a70e45' stroke-linecap='round' stroke-linejoin='round' stroke-width='1.667'/%3E%3C/g%3E%3C/svg%3E");
    position: absolute;
    top: 0;
    left: 0;
}

.home-bazawiedzy .slick-prev {
    left: calc(50% - var(--custom-spacing));
}

.home-bazawiedzy .slick-next {
    right: calc(50% - var(--custom-spacing));
}

.home-bazawiedzy .slick-prev::before {
    transform: scaleX(-1);
}

.home-bazawiedzy .section-header {
    margin: 0 auto;
    padding-bottom: 25px;
}

.home-bazawiedzy .page-section_title {
    margin-top: 0;
    margin-bottom: 0;
    text-align: center;
}

@media all and (min-width: 992px) {
    .home-bazawiedzy .items-bazawiedzy {
        display: grid;
        grid-row-gap: 64px;
        padding-bottom: 40px;
        opacity: 1!important;
        width: 1284px;
        max-width: 100%;
        margin-left: auto;
        margin-right: auto;
    }

    .home-bazawiedzy .item-bazawiedzy {
        grid-template-columns: 1fr 480px;
        grid-column-gap: 25px;
        align-items: center;
        margin: unset;
    }

    .home-bazawiedzy .item-bazawiedzy:nth-of-type(2n) {
        grid-template-columns: 480px 1fr;
    }

    .home-bazawiedzy .item-bazawiedzy .item_excerpt {
        display: initial;
    }

    .home-bazawiedzy .item-bazawiedzy .item_tags {
        display: initial;
    }

    .home-bazawiedzy .item-bazawiedzy:nth-of-type(2n) .item_content {
        order: -1;
        text-align: right;
    }

    .home-bazawiedzy .item-bazawiedzy:nth-of-type(2n) .item_button {
        margin-left: auto;
        margin-right: 0;
        margin-top: 30px;
    }

    .home-bazawiedzy .item-bazawiedzy:nth-of-type(2n) .item_button::before {
        transform-origin: right;
        left: auto;
        right: 0;
    }
    
    .items-bazawiedzy-tags-wrapper {
        display: flex;
    }

    .home-bazawiedzy .page-section_footer {
        display: none;
    }

    .home-bazawiedzy .section-header {
        margin: 0 auto;
        padding-bottom: 47px;
        padding-top: 15px;
    }

    .home-bazawiedzy .page-section_title {
        margin-left: clamp(0px, calc(100vw - var(--scrollbar-width) - 1282px), 120px);
        position: relative;
        text-align: unset;
    }

    .home-bazawiedzy .page-section_title::before,
    .home-bazawiedzy .page-section_title::after {
        content: "";
        display: block;
        position: absolute;
        top: 50%;
        left: 6px;
        transform: translateY(calc(-50% + 17px));
        width: 2px;
        height: 80px;
        transition: transform .3s ease;
        transform-origin: top;
        background: var(--color-link);
    }

    .home-bazawiedzy .page-section_title::before {
        opacity: 0.2;
    }

    .home-bazawiedzy .page-section_title::after {
        transform: translateY(calc(-50% + 17px)) scaleY(0);
    }

    .home-bazawiedzy .page-section_title.visible::after {
        transform: translateY(calc(-50% + 17px)) scaleY(1);
    }

    .home-bazawiedzy .page-section_title span {
        padding-left: 25px;
    }

    .home-bazawiedzy .page-section_title span::before {
        content: "";
        display: block;
        width: 11px;
        height: 11px;
        border-radius: 20px;
        border: 2px solid var(--bg-main);
        background: var(--color-link);
        position: absolute;
        left: 0;
        top: 50%;
        transform: translateY(-50%);
        z-index: 1;
    }
}

@media all and (min-width: 1300px) {
    .home-bazawiedzy .item-bazawiedzy {
        grid-column-gap: 75px;
    }
}


/*
newsletter

*/
section.newsletter.theme-light {
    padding-left: var(--side-spacing);
    padding-right: var(--side-spacing);
    background: var(--bg-main);
    padding-bottom: 30px;
}

section.newsletter.theme-light .mr-cont {
    width: 1284px;
}

section.newsletter.theme-light .newsletter-wrapper {
    width: max(70%, 300px);
}

@media all and (min-width: 992px) {
    section.newsletter.theme-light {
        padding-bottom: 45px;
    }
    section.newsletter.theme-light .newsletter-wrapper {
        width: 480px;
    }
}

@media all and (min-width: 1300px) {
    section.newsletter.theme-light .newsletter-wrapper {
        width: 610px;
    }
}